Download it now!
Bug 117737 - [GTK3] Welded drop down options appear in the wrong place.
Summary: [GTK3] Welded drop down options appear in the wrong place.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2018-05-22 06:10 UTC by Hussam Al-Tayeb
Modified: 2018-05-24 15:06 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
incorrect menu options placement. (90.61 KB, image/png)
2018-05-22 06:10 UTC, Hussam Al-Tayeb
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hussam Al-Tayeb 2018-05-22 06:10:30 UTC
Created attachment 142238 [details]
incorrect menu options placement.

Welded drop down options appear detached and show in the wrong place.

Look at the attached screenshot.
Comment 1 Caolán McNamara 2018-05-23 15:19:34 UTC
wayland, right ?
Comment 2 Hussam Al-Tayeb 2018-05-23 15:48:32 UTC
Nope. Xorg.
Comment 3 Hussam Al-Tayeb 2018-05-23 15:57:34 UTC
echo $XDG_SESSION_TYPE 
x11
Comment 4 Caolán McNamara 2018-05-24 08:54:05 UTC
a different problem that https://gitlab.gnome.org/GNOME/gtk/issues/94 then
Comment 5 Caolán McNamara 2018-05-24 09:34:34 UTC
turns out it setting the possibility, even though it doesn't, to wrap the text in the comboboxtext that triggers this oddness
Comment 6 Commit Notification 2018-05-24 10:53:59 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aed4d485df525ef934e0a6bbf6eededb976a9299

Resolves: tdf#117737 combobox menu misplaced if wrap-width set

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Hussam Al-Tayeb 2018-05-24 15:06:51 UTC
That was very quick. Thank you very much!